Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pietschy.command.group.impl
Class AbstractCommandContribution

    java.lang.Object
      com.pietschy.command.group.impl.AbstractCommandContribution

All Implemented Interfaces:
  Contribution

Direct Known Subclasses:
  CommandContribution

    public abstract class AbstractCommandContribution

extends java.lang.Object
implements Contribution

Base implementation for `Contribution` that insert a command.

Constructor Summary
`AbstractCommandContribution(Command contribution)` Creates a new contribution for the specified command.

Method Summary
`Command` | `getCommand()` Returns the command this contribution is adding.
`boolean` | `isContributionFor(Command command)` Returns `true` if the command equals this contributions command.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.pietschy.command.group.impl.Contribution
`performAdd, performRemove`

Constructor Detail

### AbstractCommandContribution

    public AbstractCommandContribution(Command contribution)

  Creates a new contribution for the specified command.

  Parameters:
    `contribution` - the command to add.

Method Detail

### getCommand

    public Command getCommand()

  Returns the command this contribution is adding.

  Returns:
    the command this contribution is adding.

### isContributionFor

    public boolean isContributionFor(Command command)

  Returns `true` if the command equals this contributions command.

  Specified by:
    `isContributionFor` in interface `Contribution`
  Parameters:
    `command` - the command to compare.
  Returns:
    `true` if the command equals this contributions command.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 - 2007 Andrew Pietsch